"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.grow = void 0;
function input(el) {
    // Revert height
    el.style.height = 'auto';
    var style = window.getComputedStyle(el);
    var borderTop = style.getPropertyValue('border-top-width');
    var borderBottom = style.getPropertyValue('border-bottom-width');
    var height = el.scrollHeight + parseFloat(borderTop) + parseFloat(borderBottom);
    el.style.height = height + 'px';
}
/**
 * Vue directive for handling textarea autogrow (automatically adjustable height).
 */
exports.grow = {
    bind: function (el, binding) {
        if (!binding.hasOwnProperty('value')
            || binding.value) {
            el.style.overflowY = 'hidden';
            el.style.resize = 'none';
            el.style.boxSizing = 'border-box';
            el.addEventListener('input', function () { return input(el); });
        }
    },
    unbind: function (el) {
        el.removeEventListener('input', function () { return input(el); });
    },
};
//# sourceMappingURL=grow.js.map